# xarray.DataArray.squeeze

`DataArray.``squeeze`(dim: Union[Hashable, Iterable[Hashable], None] = None, drop: bool = False, axis: Union[int, Iterable[int], None] = None)

  Return a new object with squeezed data.

  Parameters:

  - dim (None or Hashable or iterable of Hashable, optional) – Selects a subset of the length one dimensions. If a dimension is selected with length greater than one, an error is raised. If None, all length one dimensions are squeezed.
  - drop (bool, optional) – If `drop=True`, drop squeezed coordinates instead of making them scalar.
  - axis (None or int or iterable of int, optional) – Like dim, but positional.

  Returns: | squeezed – This object, but with with all or a subset of the dimensions of length 1 removed.
  Return type: | same type as caller

  See also

  `numpy.squeeze()`